> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all owner balance transactions

> Returns a list of owner balance transactions. They are returned sorted by creation date, with the most recent transactions appearing first.



## OpenAPI

````yaml openapi-owners.json GET /v1/owner_balance_transactions
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/owner_balance_transactions:
    get:
      tags:
        - Owner Balance Transactions
      summary: List all owner balance transactions
      description: >-
        Returns a list of owner balance transactions. They are returned sorted
        by creation date, with the most recent transactions appearing first.
      operationId: owner_balance_transactions_list
      responses:
        '200':
          description: >-
            A object with a data property that contains an array of owner
            balance transactions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - owner_balance_transaction
                        amount:
                          type: integer
                          description: >-
                            The amount of the owner balance transaction, in the
                            smallest currency unit.
                        available_on:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            The date the transaction becomes available in the
                            owner balance.
                        balance_type:
                          type:
                            - string
                            - 'null'
                          description: The type of balance this transaction affects.
                        building:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the building the transaction is associated
                            with.
                        created_from_owner_payout:
                          type: boolean
                          default: false
                          description: >-
                            Whether this transaction was created automatically
                            from an owner payout.
                        currency:
                          type: string
                          enum:
                            - gbp
                            - usd
                            - eur
                            - sek
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                          example: gbp
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the object. Often
                            useful for displaying to users.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        net:
                          type:
                            - integer
                            - 'null'
                          description: The net amount of the transaction after taxes.
                        owner:
                          anyOf:
                            - type: string
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - owner
                                address:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    line1:
                                      type:
                                        - string
                                        - 'null'
                                    line2:
                                      type:
                                        - string
                                        - 'null'
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                    postal_code:
                                      type:
                                        - string
                                        - 'null'
                                    state:
                                      type:
                                        - string
                                        - 'null'
                                  description: The owner's address.
                                balance:
                                  type: number
                                  default: 0
                                  description: >-
                                    The owner's current balance, in the smallest
                                    currency unit.
                                business_type:
                                  type: string
                                  enum:
                                    - individual
                                    - company
                                  description: The legal type of the owner.
                                client_secret:
                                  type: string
                                  description: >-
                                    A secret token used to authenticate
                                    owner-scoped requests, such as generating
                                    PDF statements.
                                company:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    address:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        line1:
                                          type:
                                            - string
                                            - 'null'
                                        line2:
                                          type:
                                            - string
                                            - 'null'
                                        city:
                                          type:
                                            - string
                                            - 'null'
                                        country:
                                          type:
                                            - string
                                            - 'null'
                                        postal_code:
                                          type:
                                            - string
                                            - 'null'
                                        state:
                                          type:
                                            - string
                                            - 'null'
                                      description: The company's registered address.
                                    email:
                                      type:
                                        - string
                                        - 'null'
                                      description: The contact email for the company.
                                    name:
                                      type:
                                        - string
                                        - 'null'
                                      description: Legal name of the company.
                                    phone:
                                      type:
                                        - string
                                        - 'null'
                                      description: Contact phone number for the company.
                                    tax_id:
                                      type:
                                        - string
                                        - 'null'
                                      description: The company's tax identification number.
                                    vat_id:
                                      type:
                                        - string
                                        - 'null'
                                      description: The company's VAT identification number.
                                  required:
                                    - address
                                    - email
                                    - name
                                    - phone
                                    - tax_id
                                    - vat_id
                                  description: >-
                                    Information about the company. Only present
                                    when `business_type` is `company`.
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    Two-letter ISO code representing the country
                                    of the owner.
                                email:
                                  type:
                                    - string
                                    - 'null'
                                  description: The owner's contact email address.
                                external_account:
                                  anyOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          description: Unique identifier for the object.
                                        created:
                                          type: number
                                          description: >-
                                            Time at which the object was created.
                                            Measured in seconds since the Unix
                                            epoch.
                                        account:
                                          type: string
                                          description: >-
                                            The account that the object belongs to.
                                            Only returned if the request is made
                                            with a valid Yorlet-Context header.
                                        deleted:
                                          type: boolean
                                          default: false
                                          description: >-
                                            Only returned if the object has been
                                            deleted.
                                        object:
                                          type: string
                                          enum:
                                            - external_account
                                        available_payout_methods:
                                          type: array
                                          items:
                                            type: string
                                          description: >-
                                            The payout methods supported by this
                                            external account.
                                        bank_account:
                                          type: object
                                          properties:
                                            account_holder_name:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The name of the person or business that
                                                owns the bank account.
                                            account_holder_type:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - individual
                                                - company
                                                - null
                                              description: >-
                                                The type of entity that holds the
                                                account.
                                            bank_name:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                Name of the bank associated with the
                                                account.
                                            country:
                                              type: string
                                              description: >-
                                                Two-letter ISO code representing the
                                                country the bank account is located in.
                                            currency:
                                              type: string
                                              enum:
                                                - aud
                                                - eur
                                                - gbp
                                                - bwp
                                                - bnd
                                                - cny
                                                - hkd
                                                - kwd
                                                - ils
                                                - inr
                                                - myr
                                                - mur
                                                - mxn
                                                - mad
                                                - nzd
                                                - ngn
                                                - omr
                                                - qar
                                                - sar
                                                - sgd
                                                - sek
                                                - thb
                                                - try
                                                - usd
                                                - aed
                                                - uyu
                                              description: >-
                                                Three-letter ISO code for the currency
                                                of the bank account.
                                            last4:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The last four digits of the bank account
                                                number.
                                            routing_number:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The routing number, sort code or other
                                                country-appropriate institution number
                                                for the bank account.
                                            swift_bic:
                                              type:
                                                - string
                                                - 'null'
                                              description: The SWIFT/BIC code identifying the bank.
                                          required:
                                            - account_holder_name
                                            - account_holder_type
                                            - bank_name
                                            - country
                                            - currency
                                            - last4
                                            - routing_number
                                          description: >-
                                            Bank account details when the external
                                            account type is `bank_account`.
                                        confirmation_of_payee:
                                          type:
                                            - object
                                            - 'null'
                                          properties:
                                            status:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - awaiting_acknowledgement
                                                - confirmed
                                                - uninitiated
                                                - null
                                              description: >-
                                                The status of the confirmation of payee
                                                check.
                                          required:
                                            - status
                                          description: >-
                                            Confirmation of payee status for the
                                            external account.
                                        metadata:
                                          type:
                                            - object
                                            - 'null'
                                          additionalProperties:
                                            type: string
                                          description: >-
                                            Set of key-value pairs that you can
                                            attach to an object. This can be useful
                                            for storing additional information about
                                            the object in a structured format.
                                        status:
                                          type: string
                                          enum:
                                            - new
                                            - errored
                                          description: The status of the external account.
                                        type:
                                          type: string
                                          enum:
                                            - bank_account
                                          description: The type of the external account.
                                      required:
                                        - id
                                        - created
                                        - object
                                        - available_payout_methods
                                        - confirmation_of_payee
                                        - status
                                        - type
                                    - type: 'null'
                                    - type: string
                                  description: >-
                                    The external account to which payouts are
                                    sent.
                                individual:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    id:
                                      type: string
                                      description: Unique identifier for the object.
                                    created:
                                      type: number
                                      description: >-
                                        Time at which the object was created.
                                        Measured in seconds since the Unix
                                        epoch.
                                    account:
                                      type: string
                                      description: >-
                                        The account that the object belongs to.
                                        Only returned if the request is made
                                        with a valid Yorlet-Context header.
                                    deleted:
                                      type: boolean
                                      default: false
                                      description: >-
                                        Only returned if the object has been
                                        deleted.
                                    object:
                                      type: string
                                      enum:
                                        - owner.person
                                    address:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        line1:
                                          type:
                                            - string
                                            - 'null'
                                        line2:
                                          type:
                                            - string
                                            - 'null'
                                        city:
                                          type:
                                            - string
                                            - 'null'
                                        country:
                                          type:
                                            - string
                                            - 'null'
                                        postal_code:
                                          type:
                                            - string
                                            - 'null'
                                        state:
                                          type:
                                            - string
                                            - 'null'
                                      description: The individual's home address.
                                    dob:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        day:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1
                                          maximum: 31
                                        month:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1
                                          maximum: 12
                                        year:
                                          type:
                                            - integer
                                            - 'null'
                                          minimum: 1900
                                          maximum: 9999
                                      required:
                                        - day
                                        - month
                                        - year
                                      description: The individual's date of birth.
                                    email:
                                      type:
                                        - string
                                        - 'null'
                                      format: email
                                      description: The individual’s email address.
                                    first_name:
                                      type:
                                        - string
                                        - 'null'
                                      description: The individual's first name.
                                    last_name:
                                      type:
                                        - string
                                        - 'null'
                                      description: The individual's last name.
                                    metadata:
                                      type:
                                        - object
                                        - 'null'
                                      additionalProperties:
                                        type: string
                                      description: >-
                                        Set of key-value pairs that you can
                                        attach to an object. This can be useful
                                        for storing additional information about
                                        the object in a structured format.
                                    phone:
                                      type:
                                        - string
                                        - 'null'
                                      description: The individual's phone number.
                                    relationship:
                                      type: object
                                      properties:
                                        director:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the person is a director of the
                                            company.
                                        executive:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the person is an executive of
                                            the company.
                                        owner:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the person is an owner of the
                                            company.
                                        percent_ownership:
                                          type:
                                            - number
                                            - 'null'
                                          minimum: 0
                                          maximum: 100
                                          description: >-
                                            The percentage of the company that the
                                            person owns.
                                        representative:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the person is the legal
                                            representative of the company.
                                        title:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The person's title within the company
                                            (e.g., CEO, Director).
                                      required:
                                        - director
                                        - executive
                                        - owner
                                        - percent_ownership
                                        - representative
                                        - title
                                      description: >-
                                        Describes the person's relationship to
                                        the company.
                                    title:
                                      type:
                                        - string
                                        - 'null'
                                      description: The person's title within the company.
                                    verification_session:
                                      anyOf:
                                        - type: string
                                        - type: object
                                          additionalProperties: {}
                                        - type: 'null'
                                      description: >-
                                        The verification session associated with
                                        the person.
                                    verification:
                                      type: object
                                      properties:
                                        status:
                                          type:
                                            - string
                                            - 'null'
                                          description: The verification status of the person.
                                      required:
                                        - status
                                      description: Verification status information.
                                  required:
                                    - id
                                    - created
                                    - object
                                    - address
                                    - dob
                                    - email
                                    - first_name
                                    - last_name
                                    - phone
                                    - relationship
                                    - title
                                    - verification_session
                                    - verification
                                  description: >-
                                    Information about the individual. Only
                                    present when `business_type` is
                                    `individual`.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Display name of the owner.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                payouts_enabled:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Whether the owner is currently able to
                                    receive payouts.
                                requirements:
                                  type: object
                                  properties:
                                    currently_due:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        Fields that must be provided to keep the
                                        owner enabled.
                                    disabled_reason:
                                      type:
                                        - string
                                        - 'null'
                                      description: Reason the owner is disabled, if any.
                                    eventually_due:
                                      type: array
                                      items:
                                        type: string
                                      description: Fields that must eventually be provided.
                                  required:
                                    - currently_due
                                    - disabled_reason
                                    - eventually_due
                                  description: Outstanding requirements for the owner.
                                settings:
                                  type: object
                                  properties:
                                    account_collections:
                                      type: object
                                      properties:
                                        platform_fee:
                                          type: number
                                          default: 0
                                          description: >-
                                            The platform fee applied to account
                                            collections, in the smallest currency
                                            unit.
                                      description: Settings related to account collections.
                                    maintenance:
                                      type: object
                                      properties:
                                        issue_categories:
                                          type: array
                                          items:
                                            type: string
                                          description: >-
                                            Maintenance issue categories supported
                                            for this owner.
                                        issue_preferred_categories:
                                          type: array
                                          items:
                                            type: string
                                          description: >-
                                            Preferred maintenance issue categories
                                            for this owner.
                                      required:
                                        - issue_categories
                                        - issue_preferred_categories
                                      description: Maintenance-related settings.
                                    payout_receipts:
                                      type: object
                                      properties:
                                        email_cc:
                                          type: array
                                          items:
                                            type: string
                                          default: []
                                          description: >-
                                            Additional email addresses to CC on
                                            payout receipt emails.
                                        email_to:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The email address that payout receipts
                                            are sent to.
                                        send_email:
                                          type: boolean
                                          default: true
                                          description: Whether to send payout receipt emails.
                                        statement_descriptor:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The descriptor to display on payout
                                            receipt emails.
                                      required:
                                        - email_to
                                        - statement_descriptor
                                      description: >-
                                        Settings controlling payout receipt
                                        emails.
                                    payout_schedule:
                                      type: object
                                      properties:
                                        interval:
                                          type: string
                                          enum:
                                            - daily
                                            - weekly
                                            - manual
                                            - monthly
                                            - quarterly
                                            - yearly
                                          description: How often payouts are sent to the owner.
                                        monthly_anchor:
                                          type: number
                                          default: 31
                                          description: >-
                                            The day of the month payouts are sent
                                            when `interval` is `monthly`.
                                        weekly_anchor:
                                          type: number
                                          default: 5
                                          description: >-
                                            The day of the week payouts are sent
                                            when `interval` is `weekly`.
                                      required:
                                        - interval
                                      description: The payout schedule for the owner.
                                    payouts:
                                      type: object
                                      properties:
                                        automatic_approval:
                                          type: boolean
                                          default: false
                                          description: >-
                                            Whether payouts are automatically
                                            approved.
                                        instant_payouts:
                                          type: boolean
                                          default: false
                                          description: Whether instant payouts are enabled.
                                        negative_payouts:
                                          type: boolean
                                          default: false
                                          description: Whether negative payouts are permitted.
                                        transaction_grouping:
                                          type: string
                                          enum:
                                            - all
                                            - per_unit
                                          description: >-
                                            How transactions are grouped on a
                                            payout.
                                      required:
                                        - transaction_grouping
                                      description: Payout-specific settings.
                                  required:
                                    - account_collections
                                    - maintenance
                                    - payout_receipts
                                    - payout_schedule
                                    - payouts
                                  description: Configurable settings for the owner.
                                status:
                                  type: string
                                  enum:
                                    - complete
                                    - incomplete
                                    - disabled
                                    - archived
                                  description: The current status of the owner.
                                tax_residency:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    Two-letter ISO code representing the owner's
                                    tax residency country.
                                type:
                                  type: string
                                  enum:
                                    - landlord
                                    - leaseholder
                                    - platform
                                    - supplier
                                  description: The type of the owner.
                              required:
                                - id
                                - created
                                - object
                                - address
                                - business_type
                                - client_secret
                                - company
                                - country
                                - email
                                - external_account
                                - individual
                                - name
                                - requirements
                                - settings
                                - status
                                - tax_residency
                                - type
                            - type: 'null'
                          description: The owner the transaction is for.
                        owner_payout:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The owner payout this transaction belongs to, if
                            any.
                        reconciled_owner_payout:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The owner payout this transaction was reconciled
                            against, if any.
                        reconciled_owner_payout_paid_at:
                          type:
                            - integer
                            - 'null'
                          description: The time at which the reconciled payout was paid.
                        reporting_subtype:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The reporting subtype used to categorize this
                            transaction.
                        reporting_type:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The reporting type used to categorize this
                            transaction.
                        source:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The source object the transaction is associated
                            with.
                        source_object:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The type of source object the transaction is
                            associated with.
                        tax:
                          type: integer
                          default: 0
                          description: The amount of tax on the transaction.
                        tax_percent:
                          type: number
                          default: 0
                          description: The tax percentage applied to the transaction.
                        type:
                          type: string
                          description: The type of the owner balance transaction.
                        unit:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the unit the transaction is associated
                            with.
                        visible_to_owner:
                          type: boolean
                          default: true
                          description: >-
                            Whether this transaction is visible in the owner
                            portal.
                        workspace:
                          type:
                            - string
                            - 'null'
                          description: The workspace the transaction belongs to.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - available_on
                        - balance_type
                        - building
                        - currency
                        - description
                        - net
                        - owner
                        - owner_payout
                        - reconciled_owner_payout
                        - reconciled_owner_payout_paid_at
                        - reporting_subtype
                        - reporting_type
                        - source
                        - source_object
                        - type
                        - unit
                        - workspace
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````